## org.apache.xerces.validators.schema.identity
Class Field.XPath

    java.lang.Object
      |
      +--org.apache.xerces.validators.schema.identity.XPath
            |
            +--org.apache.xerces.validators.schema.identity.Field.XPath

Enclosing class:
  Field

public static class Field.XPath
extends XPath

Field XPath.

Author:
  Andy Clark, IBM

Inner classes inherited from class org.apache.xerces.validators.schema.identity.XPath
`XPath.Axis, XPath.LocationPath, XPath.NodeTest, XPath.Step`

Fields inherited from class org.apache.xerces.validators.schema.identity.XPath
`fExpression, fLocationPaths, fStringPool`

Constructor Summary
`Field.XPath(java.lang.String xpath, StringPool stringPool, NamespacesScope context)` Constructs a field XPath expression.

Methods inherited from class org.apache.xerces.validators.schema.identity.XPath
`getLocationPath, getLocationPaths, main, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Field.XPath

    public Field.XPath(java.lang.String xpath,
                       StringPool stringPool,
                       NamespacesScope context)
                throws XPathException

  Constructs a field XPath expression.

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.